Bug 207079 - Review Request: perl-Cache - The Cache interface
Review Request: perl-Cache - The Cache interface
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-19 03:18 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-20 05:18:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-09-19 03:18:05 EDT
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-Cache.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-Cache-2.04-1.src.rpm
Description: 
The Cache modules are designed to assist a developer in persisting data
for a specified period of time. Often these modules are used in web
applications to store data locally to save repeated and redundant
expensive calls to remote machines or databases.

The Cache interface is implemented by derived classes that store cached
data in different manners (such as as files on a filesystem, or in memory).
Comment 1 Chris Weyl 2006-09-20 00:52:00 EDT
Auto-requires misses a dep on perl(Tie::Hash) due to a use base construct, but
Tie::Hash is a core module.

There are three missing BR's, listed below.  For the purposes of this review,
I'm assuming they're in there (and added them).

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text not included upstream
+ source files match upstream:
 c64b8dd8f04e101bd20cde0c7c2e3d17  Cache-2.04.tar.gz
 c64b8dd8f04e101bd20cde0c7c2e3d17  Cache-2.04.tar.gz.srpm
+ latest version is being packaged.
X BuildRequires are proper.

    Date::Parse         => 2.24,
    Heap::Fibonacci     => 0.01,
    Digest::SHA1        => 2.01,

O builds in mock, with additional br's added.
+ rpmlint is silent.
O final provides and requires are sane:
** perl-Cache-2.04-1.fc5.noarch.rpm
== rpmlint
== provides
perl(Cache) = 2.04
perl(Cache::Entry) = 2.04
perl(Cache::File) = 2.04
perl(Cache::File::Entry) = 2.04
perl(Cache::File::Handle)
perl(Cache::File::Heap) = 2.04
perl(Cache::IOString)
perl(Cache::Memory) = 2.04
perl(Cache::Memory::Entry) = 2.04
perl(Cache::Memory::HeapElem)
perl(Cache::Null) = 2.04
perl(Cache::Null::Entry) = 2.04
perl(Cache::RemovalStrategy) = 2.04
perl(Cache::RemovalStrategy::FIFO)
perl(Cache::RemovalStrategy::LRU)
perl(Cache::Tester) = 2.04
perl-Cache = 2.04-1.fc5
== requires
perl >= 0:5.006
perl(:MODULE_COMPAT_5.8.8)
perl(Cache)
perl(Cache::File)
perl(Cache::File::Entry)
perl(Cache::File::Heap)
perl(Cache::IOString)
perl(Cache::Memory)
perl(Cache::Memory::Entry)
perl(Cache::Memory::HeapElem)
perl(Cache::Null::Entry)
perl(Carp)
perl(DB_File)
perl(Date::Parse)
perl(Digest::SHA1)
perl(Exporter)
perl(Fcntl)
perl(File::NFSLock)
perl(File::Path)
perl(File::Spec)
perl(File::Temp)
perl(Heap::Elem)
perl(Heap::Fibonacci)
perl(IO::File)
perl(IO::String)
perl(Storable)
perl(Symbol)
perl(Test::More)
perl(base)
perl(fields)
perl(strict)
perl(vars)
perl(warnings)
perl(warnings::register)
+ no shared libraries are present.
+ package is not relocatable.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ %clean is present.
+ %check is present and all tests pass:
 All tests successful.
 Files=11, Tests=590, 25 wallclock secs ( 2.10 cusr +  1.24 csys =  3.34 CPU)
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
+ not a web app.

APPROVED, provided the missing BR's are added.
Comment 2 Patrice Dumas 2006-09-20 05:18:13 EDT
BuildRequires added, imported, built for devel, added in owners.list.
Thanks for the review.
Comment 3 Chris Weyl 2006-09-20 11:21:59 EDT
Any chance of a FC-5 branch?  This would be quite useful on a box of mine :)
Comment 4 Patrice Dumas 2006-09-25 18:07:58 EDT
the FC-5 package is available now

Note You need to log in before you can comment on or make changes to this bug.